## pdfminer 1.0

=== DESCRIPTION ===
Package: pdfminer
Type: Package
Title: Read Portable Document Format (PDF) Files
Version: 1.0
Authors@R: c(person("Florian", "Schwendinger", role = c("aut", "cre", "cph"), email = "FlorianSchwendinger@gmx.at"),
             person("Benjamin", "Schwendinger", role = c("aut", "cph")))
Description: Provides an interface to 'PDFMiner' <https://github.com/pdfminer/pdfminer.six> 
    a 'Python' package for extracting information from 'PDF'-files. 
    'PDFMiner' has the goal to get all information available in a 'PDF'-file, 
    position of the characters, font type, font size and informations about lines. 
    Which makes it the perfect starting point for extracting tables from 'PDF'-files.
    More information can be found in the package 'README'-file.
License: MIT + file LICENSE
Imports: checkmate, jsonlite
Suggests: PythonInR, RSQLite
SystemRequirements: Python>=3.6, pdfminer.six>=20200402, pandas
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-06-14 18:56:56 UTC; f
Author: Florian Schwendinger [aut, cre, cph],
  Benjamin Schwendinger [aut, cph]
Maintainer: Florian Schwendinger <FlorianSchwendinger@gmx.at>
Repository: CRAN
Date/Publication: 2020-06-22 09:20:02 UTC

## pdfminer 20110515%2Bdfsg

=== debian/changelog ===
pdfminer (20110515+dfsg-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * debian/control
    - Removed Jakub and added Debian Python Modules Team to Maintainer
    - Added myself to Uploaders (Closes: #629178)
    - Bumped Standards-Version to 3.9.2 (no changes needed)
  * debian/{control,rules}
    - Switched to dh_python2

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 24 Aug 2011 12:56:37 +0200

pdfminer (20110227+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Document the -V option in pdf2txt manual page.
  * Correct a few grammatical errors in the manual pages and in the package
    description. Thanks to Stefano Rivera for help.
  * Remove byte-compiled files from (repackaged) upstream tarball.
  * Use $() constructs rather than backticks in shell scripts.
  * Rename some private variables in debian/rules to make them lowercase.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 05 Mar 2011 18:39:32 +0100

pdfminer (20101226+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop fix-test-psparser.diff, applied upstream.
    + Prevent upstream Makefile from using ‘python2’ binary. [python2.diff]

 -- Jakub Wilk <jwilk@debian.org>  Tue, 28 Dec 2010 11:18:13 +0100

pdfminer (20101017+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Fix a typo in the pdf2txt manual page.
  * Backport an upstream patch to fix test failures. [fix-test-psparser.diff]
  * To fix FTBFS when built twice in a row:
    + force dh_auto_clean to use distutils build system;
    + add samples/{*.txt,*.html,*.xml} to debian/clean.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 02 Dec 2010 17:56:37 +0100

pdfminer (20100829+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Add mutual Breaks to ensure that if python-pdfminer and pdfminer-data are
    installed together, they have the same version.
  * Use pickle protocol 2 for serializing data. [pickle-protocol-2.diff]

 -- Jakub Wilk <jwilk@debian.org>  Sun, 29 Aug 2010 11:43:51 +0200

pdfminer (20100619p1+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop all patches: either applied upstream or not needed anymore.
    + Recreate non-empty cmap/__init__.py in the build target and remove it in
      the clean target.
    + Update debian/get-orig-source and debian/rules to take into account new
      location of non-free samples.
    + Relax debian/watch and debian/rules to allow versions with pN suffix.
    + Explain copyright status of samples/jo.* in debian/copyright.
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Aug 2010 18:17:31 +0200

pdfminer (20100424+dfsg-1) experimental; urgency=low

  * Initial release (closes: #584555).
  * Strip non-DFSG-free test documents from the .orig.tar.gz.
    + Run tests only on those files that are actually available.
      [dfsg-testsuite.diff]
  * Disable test suite for psparser.py, as it is currently broken.
    [psparser-testsuite.diff]
  * Store encoding data in gzipped pickles rather than in Python modules.
    This way we can save lots of disk space. [encoding-data.diff]
  * Backport upstream patches:
    + to fix a bug in layout analysis [layout.diff];
    + to allow extraction of nested tags [nested-tags.diff].

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 Jun 2010 12:27:50 +0200

## pdfminer 20110515+dfsg

=== Makefile ===
##  Makefile (for maintainance purpose)
##

PACKAGE=pdfminer

PYTHON=python2
GIT=git
RM=rm -f
CP=cp -f

all:

install:
	$(PYTHON) setup.py install --home=$(HOME)

clean:
	-$(PYTHON) setup.py clean
	-$(RM) -r build dist MANIFEST
	-cd $(PACKAGE) && $(MAKE) clean
	-cd tools && $(MAKE) clean

distclean: clean test_clean cmap_clean

sdist: distclean MANIFEST.in
	$(PYTHON) setup.py sdist
register: distclean MANIFEST.in
	$(PYTHON) setup.py sdist upload register

WEBDIR=$$HOME/Site/unixuser.org/python/$(PACKAGE)
publish:
	$(CP) docs/*.html docs/*.png docs/*.css $(WEBDIR)

CONV_CMAP=$(PYTHON) tools/conv_cmap.py
CMAPSRC=cmaprsrc
CMAPDST=pdfminer/cmap
cmap: $(CMAPDST)/to-unicode-Adobe-CNS1.pickle.gz $(CMAPDST)/to-unicode-Adobe-GB1.pickle.gz \
	$(CMAPDST)/to-unicode-Adobe-Japan1.pickle.gz $(CMAPDST)/to-unicode-Adobe-Korea1.pickle.gz
cmap_clean:
	cd $(CMAPDST) && make cmap_clean
$(CMAPDST)/to-unicode-Adobe-CNS1.pickle.gz:
	$(CONV_CMAP) $(CMAPDST) Adobe-CNS1 $(CMAPSRC)/cid2code_Adobe_CNS1.txt cp950 big5
$(CMAPDST)/to-unicode-Adobe-GB1.pickle.gz:
	$(CONV_CMAP) $(CMAPDST) Adobe-GB1 $(CMAPSRC)/cid2code_Adobe_GB1.txt cp936 gb2312
$(CMAPDST)/to-unicode-Adobe-Japan1.pickle.gz:
	$(CONV_CMAP) $(CMAPDST) Adobe-Japan1 $(CMAPSRC)/cid2code_Adobe_Japan1.txt cp932 euc-jp
$(CMAPDST)/to-unicode-Adobe-Korea1.pickle.gz:
	$(CONV_CMAP) $(CMAPDST) Adobe-Korea1 $(CMAPSRC)/cid2code_Adobe_Korea1.txt cp949 euc-kr

test: cmap
	cd samples && $(MAKE) test
test_clean:
	-cd samples && $(MAKE) clean

=== tools/Makefile ===
# Makefile for tools

RM=rm -f

all:

clean:
	-$(RM) *.pyc *.pyo *.cgic *.cgio

=== debian/control ===
Source: pdfminer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Build-Depends: debhelper (>= 7.0.50~),
               docbook-xml,
               docbook-xsl,
               elinks-lite | elinks,
               libxml2-utils,
               python-all (>= 2.6.6-3~),
               python-nose,
               xsltproc,
X-Python-Version: >= 2.4
Standards-Version: 3.9.2
Homepage: http://www.unixuser.org/~euske/python/pdfminer/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pdfminer/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pdfminer/trunk/

Package: python-pdfminer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: pdfminer-data
Breaks: pdfminer-data (<< ${source:Version})
Description: PDF parser and analyser
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data. It allows one to obtain
 the exact location of text portions in a page, as well as other information
 such as fonts or lines. It includes a PDF converter that can transform PDF
 files into other text formats (such as HTML). It has an extensible PDF parser
 that can be used for other purposes than text analysis. 
 .
 This package provides the Python module and the command-line tools: pdf2txt
 and dumppdf.

Package: pdfminer-data
Architecture: all
Depends: ${misc:Depends}
Recommends: python-pdfminer
Breaks: python-pdfminer (<< ${source:Version})
Description: PDF parser and analyser (encoding data)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data. 
 .
 This package contains the encoding data needed to read some PDF documents in
 CJK (Chinese, Japanese, Korean) languages.

=== debian/rules ===
#!/usr/bin/make -f

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
upstream_version = $(shell cd $(here) && dpkg-parsechangelog | sed -n -r -e '/^Version: (.+)([+]dfsg).*/ { s//\1/; p; q; }')

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) cmap
	dh_auto_build
	echo '#' > pdfminer/cmap/__init__.py

.PHONY: override_dh_install
override_dh_install:
	rename.ul .py '' debian/tmp/usr/bin/*.py
	dh_install

.PHONY: override_dh_installman
override_dh_installman:
	$(MAKE) -C debian/manpages/
	dh_installman

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e -x; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests --with-doctest --verbose pdfminer/*.py; \
		$(MAKE) -C samples clean; \
		$(MAKE) -C samples PYTHON=$$python CMP="diff -u" HTMLS_NONFREE= TEXTS_NONFREE= XMLS_NONFREE= test; \
	done
endif

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	elinks -config-file /dev/null -dump -no-numbering -no-references docs/index.html \
	| sed -n -e '/^Changes/,/^  ---/ { /^     / s/// p }' \
	> docs/changelog
	dh_installchangelogs docs/changelog

.PHONY:
get-orig-source:
	sh -x $(here)/debian/get-orig-source.sh $(upstream_version)

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
build build-arch build-indep binary binary-indep clean:
	dh $(@) --with python2 -Spython_distutils
# In order not to confuse lintian, binary-arch is a separate target:
binary-arch:

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/p/pdfminer/pdfminer-([0-9.]+(?:p[0-9.]+)?)[.]tar[.]gz

## pdfminer 20140328%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 override_dh_auto_build:
 	$(MAKE) cmap
 	dh_auto_build
-	echo '#' > pdfminer/cmap/__init__.py
 
 .PHONY: override_dh_install
 override_dh_install:
@@ -19,16 +18,21 @@
 	$(MAKE) -C debian/manpages/
 	dh_installman
 
+# Disable tests inside samples directory since they are failing also
+# upstream:
+# https://github.com/euske/pdfminer/issues/115
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -e -x; \
 	for python in $(shell pyversions -r); do \
 		$$python /usr/bin/nosetests --with-doctest --verbose pdfminer/*.py; \
-		$(MAKE) -C samples clean; \
-		$(MAKE) -C samples PYTHON=$$python CMP="diff -u" HTMLS_NONFREE= TEXTS_NONFREE= XMLS_NONFREE= test; \
 	done
 endif
+
+.PHONY: get-orig-source
+get-orig-source:
+	uscan --verbose --force-download --repack
 
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
@@ -37,10 +41,6 @@
 	> docs/changelog
 	dh_installchangelogs docs/changelog
 
-.PHONY:
-get-orig-source:
-	sh -x $(here)/debian/get-orig-source.sh $(upstream_version)
-
 .PHONY: build build-arch build-indep binary binary-arch binary-indep clean
 build build-arch build-indep binary binary-indep clean:
 	dh $(@) --with python2 -Spython_distutils

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
http://pypi.debian.net/pdfminer/pdfminer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pdfminer 20140328+dfsg

=== pdfminer/Makefile ===
# Makefile for pdfminer

RM=rm -f

all:

clean:
	-$(RM) *.pyc *.pyo
	cd cmap && make clean

=== samples/Makefile ===
# GNUMakefile for test

RM=rm -f
CMP=:
PYTHON=python2

PDF2TXT=PYTHONPATH=.. $(PYTHON) ../tools/pdf2txt.py -p1 -V

HTMLS=$(HTMLS_FREE) $(HTMLS_NONFREE)
HTMLS_FREE= \
	simple1.html \
	simple2.html \
	simple3.html \
	jo.html
HTMLS_NONFREE= \
	nonfree/dmca.html \
	nonfree/f1040nr.html \
	nonfree/i1040nr.html \
	nonfree/kampo.html \
	nonfree/naacl06-shinyama.html \
	nonfree/nlp2004slides.html

TEXTS=$(TEXTS_FREE) $(TEXTS_NONFREE)
TEXTS_FREE= \
	simple1.txt \
	simple2.txt \
	simple3.txt \
	jo.txt
TEXTS_NONFREE= \
	nonfree/dmca.txt \
	nonfree/f1040nr.txt \
	nonfree/i1040nr.txt \
	nonfree/kampo.txt \
	nonfree/naacl06-shinyama.txt \
	nonfree/nlp2004slides.txt

XMLS=$(XMLS_FREE) $(XMLS_NONFREE)
XMLS_FREE= \
	simple1.xml \
	simple2.xml \
	simple3.xml \
	jo.xml
XMLS_NONFREE= \
	nonfree/dmca.xml \
	nonfree/f1040nr.xml \
	nonfree/i1040nr.xml \
	nonfree/kampo.xml \
	nonfree/naacl06-shinyama.xml \
	nonfree/nlp2004slides.xml

all: htmls texts xmls

test:
	$(MAKE) all CMP=cmp

clean:
	-$(RM) $(HTMLS)
	-$(RM) $(TEXTS)
	-$(RM) $(XMLS)

htmls: $(HTMLS)
texts: $(TEXTS)
xmls: $(XMLS)

.SUFFIXES: .pdf .html .xml .txt

.pdf.html:
	$(PDF2TXT) -t html -o $@ $<
	$(CMP) $@ $@.ref

.pdf.xml:
	$(PDF2TXT) -t xml -o $@ $<
	$(CMP) $@ $@.ref

.pdf.txt:
	$(PDF2TXT) -t text -o $@ $<
	$(CMP) $@ $@.ref

=== debian/changelog ===
pdfminer (20140328+dfsg-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Daniele Tricoli ]
  * New upstream release. (Closes: #741046, #794682)
  * debian/compat
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Bump debhelper B-D to (>= 9).
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Add dh-python to B-D.
    - Bump X-Python-Version to >= 2.6.
    - Drop elinks-lite from B-D since it is a transitional package.
    - Update Vcs fields for git migration.
  * debian/copyright
    - Update Format URI.
    - Update copyright years.
    - Use Files-Excluded to remove non redistributable files and prebuilt
      Python objects.
    - Rename cmapsrc into cmaprsrc.
  * debian/get-orig-source.sh
    - Remove because superseded by Files-Excluded in debian/copyright.
  * debian/manpages/latin2ascii.1.xml
    - Add manpage for latin2ascii.
  * debian/patches/pickle-protocol2.diff
    - Refresh.
  * debian/patches/avoid-timestamped-gzip.patch
    - Avoid timestamps in gzip-compressed file and use compressionlevel=9 to
      reduce data size.
  * debian/python-pdfminer.docs
    - Remove README.txt since not shipped anymore.
  * debian/python-pdfminer.install
    - Add /usr/bin/latin2ascii.
  * debian/{python-pdfminer.install,rules}
    - Don't recreate cmap/__init__.py since pdfminer.cmap is not a
      Python package anymore.
  * debian/rules
    - Use uscan inside get-orig-source target.
    - Disable tests inside samples directory since they are failing also
      upstream.
  * debian/watch
    - Use pypi.debian.net redirector.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 05 Nov 2015 01:18:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               docbook-xml,
-               docbook-xsl,
-               elinks-lite | elinks,
-               libxml2-utils,
-               python-all (>= 2.6.6-3~),
-               python-nose,
-               xsltproc,
-X-Python-Version: >= 2.4
-Standards-Version: 3.9.2
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ docbook-xml,
+ docbook-xsl,
+ elinks,
+ libxml2-utils,
+ python-all (>= 2.6.6-3~),
+ python-nose,
+ xsltproc,
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.6
 Homepage: http://www.unixuser.org/~euske/python/pdfminer/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pdfminer/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pdfminer/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pdfminer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pdfminer.git
 
 Package: python-pdfminer
 Architecture: all

## pdfminer 20181108+dfsg

=== samples/Makefile ===
# GNUMakefile for test

RM=rm -f
CMP=:
ECHO=echo
PYTHON=python2
PYTHON3=python3

PDF2TXT=PYTHONPATH=.. $(PYTHON) ../tools/pdf2txt.py -p1 -V
PDF2TXT3=PYTHONPATH=.. $(PYTHON3) ../tools/pdf2txt.py -p1 -V

FREE= \
	simple1 \
	simple2 \
	simple3 \
	jo

NONFREE= \
	nonfree/dmca \
	nonfree/f1040nr \
	nonfree/i1040nr \
	nonfree/kampo \
	nonfree/naacl06-shinyama \
	nonfree/nlp2004slides

TESTS=$(FREE) $(NONFREE)

CRYPT_PASS1=foo
CRYPT_PASS2=baz
CRYPT_BASE=encryption/base
CRYPTS= \
	encryption/rc4-40 \
	encryption/rc4-128 \
	encryption/aes-128 \
	encryption/aes-128-m \
	encryption/aes-256 \
	encryption/aes-256-m

all: tests crypts

tests:
	for i in $(TESTS); do \
		$(ECHO) $$i; \
		$(PDF2TXT) -t html -o $$i.html $$i.pdf || exit 1; \
		$(CMP) $$i.html $$i.html.ref || exit 1; \
		$(PDF2TXT) -t xml -o $$i.xml $$i.pdf || exit 1; \
		$(CMP) $$i.xml $$i.xml.ref || exit 1; \
		$(PDF2TXT) -t text -o $$i.txt $$i.pdf || exit 1; \
		$(CMP) $$i.txt $$i.txt.ref || exit 1; \
		$(PDF2TXT3) -t html -o $$i.html $$i.pdf || exit 1; \
		$(CMP) $$i.html $$i.html.ref || exit 1; \
		$(PDF2TXT3) -t xml -o $$i.xml $$i.pdf || exit 1; \
		$(CMP) $$i.xml $$i.xml.ref || exit 1; \
		$(PDF2TXT3) -t text -o $$i.txt $$i.pdf || exit 1; \
		$(CMP) $$i.txt $$i.txt.ref || exit 1; \
	done

crypts:
	for i in $(CRYPTS); do \
		$(ECHO) $$i; \
		$(PDF2TXT) -t xml -P $(CRYPT_PASS1) -o $$i.1.xml $$i.pdf || exit 1; \
		$(CMP) $$i.1.xml $(CRYPT_BASE).xml || exit 1; \
		$(PDF2TXT) -t xml -P $(CRYPT_PASS2) -o $$i.2.xml $$i.pdf || exit 1; \
		$(CMP) $$i.2.xml $(CRYPT_BASE).xml || exit 1; \
		$(PDF2TXT3) -t xml -P $(CRYPT_PASS1) -o $$i.1.xml $$i.pdf || exit 1; \
		$(CMP) $$i.1.xml $(CRYPT_BASE).xml || exit 1; \
		$(PDF2TXT3) -t xml -P $(CRYPT_PASS2) -o $$i.2.xml $$i.pdf || exit 1; \
		$(CMP) $$i.2.xml $(CRYPT_BASE).xml || exit 1; \
	done

test:
	$(MAKE) all CMP=cmp

clean:
	-for i in $(TESTS); do \
		$(RM) $$i.html $$i.xml $$i.txt; \
	done
	-for i in $(CRYPTS); do \
		$(RM) $$i.1.xml $$i.2.xml; \
	done

=== samples/encryption/Makefile ===
# GNUMakefile for test

RM=rm -f
CMP=:
PYTHON=python2
PDF2TXT=PYTHONPATH=../.. $(PYTHON) ../../tools/pdf2txt.py

XMLS= \
	rc4-40.xml \
	rc4-128.xml \
	aes-128.xml \
	aes-128-m.xml \
	aes-256.xml \
	aes-256-m.xml \

all: xmls

test:
	$(MAKE) all CMP=cmp

clean:
	-$(RM) $(XMLS)

xmls: $(XMLS)

.SUFFIXES: .pdf .xml

.pdf.xml:
	$(PDF2TXT) -p1 -V -t xml -P foo -o $@ $<
	$(CMP) $@ base.xml
	$(PDF2TXT) -p1 -V -t xml -P baz -o $@ $<
	$(CMP) $@ base.xml

=== debian/changelog ===
pdfminer (20181108+dfsg-3) unstable; urgency=medium

  * debian/patches/0002-Remove-dependency-on-pycryptodome.patch
    - pycryptodome is not actually required: all the Crypto imports are inside
      a try/except and an implementation of ARC4 is provided by pdfminer
      itself. (Closes: #919008) Many thanks to Sean Whitton for the report.

 -- Daniele Tricoli <eriol@debian.org>  Sat, 12 Jan 2019 23:15:32 +0100

pdfminer (20181108+dfsg-2) unstable; urgency=medium

  * Add Breaks+Replaces: python-pdfminer (<< 20181108) for python3-pdfminer.
    (Closes: #918650) Many thanks to Andreas Beckmann for the report.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 08 Jan 2019 00:34:56 +0100

pdfminer (20181108+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump compat level to 12.

 -- Daniele Tricoli <eriol@debian.org>  Sun, 06 Jan 2019 18:44:30 +0100

pdfminer (20181108+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Build Python3 package. (Closes: #640303)
  * Refresh patches after git-dpm to gbp pq conversion.
  * debian/clean
    - Remove egg-info.
  * debian/control
    - Add python-setuptools, python-six and python-sortedconteiners to B-D.
    - Remove elinks from B-D.
    - Update description.
    - Add python3-all, python3-chardet, python3-nose, python3-setuptools,
      python3-six and python3-sortedcontainers to B-D.
    - Update to use my debian.org mail address.
    - Update Homepage field.
    - Add python{,3}-crypto to Recommends.
    - Bump Standards-Version to 4.3.0 (no changes needed).
  * debian/copyright
    - Update copyright years.
    - Update Source field.
    - Update to use my debian.org mail address.
  * debian/patches/python2.diff
    - Drop since imported upstream.
  * debian/patches/pickle-protocol-2.diff
    - Drop since imported upstream.
  * debian/patches/avoid-timestamped-gzip.patch
    - Refresh.
  * debian/rules
    - Switch to pybuild.
    - Move cmap files outside dist-packages and rework install files.
    - No need to use elinks to create upstream changelog.
    - Provide command-line tools pdf2txt, dumppdf and latin2ascii from the
      Python3 package.
  * debian/tests/{control,python-pdfminer,python3-pdfminer}
    - Run package tests using autopkgtest
  * debian/watch
    - Switch to maintained pdfminer.six fork. (Closes: #870469)
    - Add dversionmangle to opts.

 -- Daniele Tricoli <eriol@debian.org>  Sun, 30 Dec 2018 20:34:25 +0100

pdfminer (20140328+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Chris Lamb ]
  * Prevent "global-files-wildcard-not-first-paragraph-in-dep5-copyright"
    lintian warning by moving the "License: Expat" paragraph to the end of
    the file.

  [ Daniel Kahn Gillmor ]
  * correct spelling of "standard"
  * wrap-and-sort -ast
  * add myself to uploaders
  * convert to debhelper 11
  * Homepage: use https
  * d/copyright: Source: use https
  * Standards-Version: bump to 4.2.1 (no changes needed)
  * d/rules: drop unnecessary get-orig-source
  * d/rules: drop unneeded dpkg-parsechangelog

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Oct 2018 10:02:20 -0400

=== debian/control ===
Source: pdfminer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Daniele Tricoli <eriol@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 12~),
 dh-python,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 python-all (>= 2.6.6-3~),
 python-nose,
 python-setuptools,
 python-six,
 python-sortedcontainers,
 python3-all,
 python3-chardet,
 python3-nose,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
 xsltproc,
Standards-Version: 4.3.0
Homepage: https://github.com/pdfminer/pdfminer.six
Vcs-Git: https://salsa.debian.org/python-team/modules/pdfminer.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pdfminer

Package: python-pdfminer
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-crypto,
Suggests:
 pdfminer-data,
Breaks:
 pdfminer-data (<< ${source:Version}),
Description: PDF parser and analyser (Python2)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data. It allows one to obtain
 the exact location of text portions in a page, as well as other information
 such as fonts or lines. It includes a PDF converter that can transform PDF
 files into other text formats (such as HTML). It has an extensible PDF parser
 that can be used for other purposes than text analysis.
 .
 This package provides the Python2 module.

Package: python3-pdfminer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-chardet,
Recommends:
 python3-crypto,
Suggests:
 pdfminer-data,
Breaks:
 pdfminer-data (<< ${source:Version}),
 python-pdfminer (<< 20181108),
Replaces:
 python-pdfminer (<< 20181108),
Description: PDF parser and analyser (Python3)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data. It allows one to obtain
 the exact location of text portions in a page, as well as other information
 such as fonts or lines. It includes a PDF converter that can transform PDF
 files into other text formats (such as HTML). It has an extensible PDF parser
 that can be used for other purposes than text analysis.
 .
 This package provides the Python3 module and the command-line tools: pdf2txt,
 dumppdf and latin2ascii.

Package: pdfminer-data
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 python-pdfminer,
 python3-pdfminer,
Breaks:
 python-pdfminer (<< ${source:Version}),
 python3-pdfminer (<< ${source:Version}),
Description: PDF parser and analyser (encoding data)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data.
 .
 This package contains the encoding data needed to read some PDF documents in
 CJK (Chinese, Japanese, Korean) languages.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pdfminer
export PYTHONWARNINGS=d
export PYBUILD_TEST_ARGS=pdfminer/*.py tests/test_pdfminer_*.py

debroot = debian/tmp/
py2_libdir = usr/lib/python2.7/dist-packages
py3_libdir = usr/lib/python3/dist-packages

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) cmap
	dh_auto_build

override_dh_auto_install:
	pybuild --install -p 2.7
	pybuild --install -p 3

	# Provide the binaries only from Python3 package.
	rm debian/python-pdfminer/usr/bin/*.py

	# Move cmap files outside dist-packages
	mkdir -p $(debroot)/usr/share/pdfminer/
	mv debian/python-pdfminer/$(py2_libdir)/pdfminer/cmap/*.pickle.gz \
		$(debroot)/usr/share/pdfminer/

	rename.ul .py '' debian/python3-pdfminer/usr/bin/*.py
	# Remove cmap in Python3 package since we use the ones generated during
	# Python2 package build.
	rm -rf debian/python-pdfminer/$(py3_libdir)/pdfminer/cmap

override_dh_installman:
	$(MAKE) -C debian/manpages/
	dh_installman

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: python-pdfminer
Depends:
 python-all,
 python-nose,
 python-pdfminer

Tests: python3-pdfminer
Depends:
 python3-all,
 python3-nose,
 python3-pdfminer

## pdfminer 20191020%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pdfminer
export PYTHONWARNINGS=d
export PYBUILD_TEST_ARGS=pdfminer/*.py tests/test_pdfminer_*.py

debroot = debian/tmp/
py3_libdir = usr/lib/python3/dist-packages

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) cmap
	dh_auto_build

override_dh_auto_install:
	pybuild --install -p 3

	# Move cmap files outside dist-packages
	mkdir -p $(debroot)/usr/share/pdfminer/
	mv debian/python3-pdfminer/$(py3_libdir)/pdfminer/cmap/*.pickle.gz \
		$(debroot)/usr/share/pdfminer/

	rename.ul .py '' debian/python3-pdfminer/usr/bin/*.py

override_dh_installman:
	$(MAKE) -C debian/manpages/
	dh_installman

# vim:ts=4 sw=4 noet

## pdfminer 20191020+dfsg

=== debian/changelog ===
pdfminer (20191020+dfsg-2) unstable; urgency=medium

  * Don't run CI tests on removed python-pdfminer package.

 -- Daniele Tricoli <eriol@debian.org>  Sat, 21 Dec 2019 00:26:29 +0100

pdfminer (20191020+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Daniele Tricoli ]
  * New upstream release.
  * Refresh 0002-Remove-dependency-on-pycryptodome.patch.
  * Add 0003-Use-Python3.patch to use Python3 in Makefile.
  * Drop Python2 support. (Closes: #937263)
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Mon, 09 Dec 2019 23:34:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,11 @@
  Daniele Tricoli <eriol@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 12),
  dh-python,
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
- python-all (>= 2.6.6-3~),
- python-nose,
- python-setuptools,
- python-six,
- python-sortedcontainers,
  python3-all,
  python3-chardet,
  python3-nose,
@@ -23,31 +18,10 @@
  python3-six,
  python3-sortedcontainers,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/pdfminer/pdfminer.six
 Vcs-Git: https://salsa.debian.org/python-team/modules/pdfminer.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pdfminer
-
-Package: python-pdfminer
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-crypto,
-Suggests:
- pdfminer-data,
-Breaks:
- pdfminer-data (<< ${source:Version}),
-Description: PDF parser and analyser (Python2)
- PDFMiner is a tool for extracting information from PDF documents, which
- focuses entirely on getting and analyzing text data. It allows one to obtain
- the exact location of text portions in a page, as well as other information
- such as fonts or lines. It includes a PDF converter that can transform PDF
- files into other text formats (such as HTML). It has an extensible PDF parser
- that can be used for other purposes than text analysis.
- .
- This package provides the Python2 module.
 
 Package: python3-pdfminer
 Architecture: all
@@ -80,10 +54,8 @@
 Depends:
  ${misc:Depends},
 Recommends:
- python-pdfminer,
  python3-pdfminer,
 Breaks:
- python-pdfminer (<< ${source:Version}),
  python3-pdfminer (<< ${source:Version}),
 Description: PDF parser and analyser (encoding data)
  PDFMiner is a tool for extracting information from PDF documents, which

=== debian/tests/control ===
Tests: python3-pdfminer
Depends:
 python3-all,
 python3-nose,
 python3-pdfminer

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pdfminer.six-$1\.tar\.gz/ \
https://github.com/pdfminer/pdfminer.six/tags .*/v?(\d\S+)\.tar\.gz

## pdfminer 20200726

=== Makefile ===
##  Makefile (for maintenance purpose)
##

PACKAGE=pdfminer

PYTHON=python
GIT=git
RM=rm -f
CP=cp -f
MKDIR=mkdir

all:

install:
	$(PYTHON) setup.py install --home=$(HOME)

clean:
	-$(PYTHON) setup.py clean
	-$(RM) -r build dist MANIFEST
	-cd $(PACKAGE) && $(MAKE) clean
	-cd tools && $(MAKE) clean
	-cd samples && $(MAKE) clean

distclean: clean cmap_clean

sdist: distclean MANIFEST.in
	$(PYTHON) setup.py sdist
register: distclean MANIFEST.in
	$(PYTHON) setup.py sdist upload register

WEBDIR=../euske.github.io/$(PACKAGE)
publish:
	$(CP) docs/*.html docs/*.png docs/*.css $(WEBDIR)

CONV_CMAP=$(PYTHON) tools/conv_cmap.py
CMAPSRC=cmaprsrc
CMAPDST=pdfminer/cmap
cmap: $(CMAPDST)/to-unicode-Adobe-CNS1.pickle.gz $(CMAPDST)/to-unicode-Adobe-GB1.pickle.gz \
	$(CMAPDST)/to-unicode-Adobe-Japan1.pickle.gz $(CMAPDST)/to-unicode-Adobe-Korea1.pickle.gz
cmap_clean:
	-$(RM) -r $(CMAPDST)
$(CMAPDST):
	$(MKDIR) $(CMAPDST)
$(CMAPDST)/to-unicode-Adobe-CNS1.pickle.gz: $(CMAPDST)
	$(CONV_CMAP) -c B5=cp950 -c UniCNS-UTF8=utf-8 \
		$(CMAPDST) Adobe-CNS1 $(CMAPSRC)/cid2code_Adobe_CNS1.txt
$(CMAPDST)/to-unicode-Adobe-GB1.pickle.gz: $(CMAPDST)
	$(CONV_CMAP) -c GBK-EUC=cp936 -c UniGB-UTF8=utf-8 \
		$(CMAPDST) Adobe-GB1 $(CMAPSRC)/cid2code_Adobe_GB1.txt
$(CMAPDST)/to-unicode-Adobe-Japan1.pickle.gz: $(CMAPDST)
	$(CONV_CMAP) -c RKSJ=cp932 -c EUC=euc-jp -c UniJIS-UTF8=utf-8 \
		$(CMAPDST) Adobe-Japan1 $(CMAPSRC)/cid2code_Adobe_Japan1.txt
$(CMAPDST)/to-unicode-Adobe-Korea1.pickle.gz: $(CMAPDST)
	$(CONV_CMAP) -c KSC-EUC=euc-kr -c KSC-Johab=johab -c KSCms-UHC=cp949 -c UniKS-UTF8=utf-8 \
		$(CMAPDST) Adobe-Korea1 $(CMAPSRC)/cid2code_Adobe_Korea1.txt

test: cmap
	nosetests

=== debian/changelog ===
pdfminer (20200726-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 20200726.
  * d/changelog: fix changelog bad formatting entry.
  * d/control: mark package as Multi-Arch: foreign.
  * d/patches: remove 0002-Remove-dependency-on-pycryptodome.patch
    is no longer apply.
  * d/patches: Update patches. Changes made on:
    - 0001-Update-patch-use-Python3.patch.
    - 0002-Avoid-timestamps-in-gzip-compressed-file-and-use-com.patch.
  * d/control: Update dependencies.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 08 Aug 2020 21:56:58 -0300

pdfminer (20191020+dfsg-3) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/control: Bumps Standards-Version to 4.5.0.
  * Stop use rename.ul because binary.
    - Will stop install it on utils-linux.
  * Use rename instead (Closes: #963521).
  * Run wrap-and-sort.
  * d/salsa-ci.yml: Enable salsa-ci.yml.
  * d/tests/python3-pdfminer: use py3versions -s instead of -i.

  [ Daniele Tricoli ]
  * Bump debhelper-compat to 13.

 -- Daniele Tricoli <eriol@debian.org>  Fri, 10 Jul 2020 00:47:36 +0200

=== debian/control ===
Source: pdfminer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               python3-all,
               python3-chardet,
               python3-nose,
               python3-setuptools,
               python3-sortedcontainers,
               python3-cryptography,
               rename,
               xsltproc
Standards-Version: 4.5.0
Homepage: https://github.com/pdfminer/pdfminer.six
Vcs-Git: https://salsa.debian.org/python-team/modules/pdfminer.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pdfminer

Package: python3-pdfminer
Architecture: all
Multi-Arch: foreign
Depends: python3-chardet, ${misc:Depends}, ${python3:Depends}
Recommends: python3-crypto
Suggests: pdfminer-data
Breaks: pdfminer-data (<< ${source:Version}), python-pdfminer (<< 20181108)
Replaces: python-pdfminer (<< 20181108)
Description: PDF parser and analyser (Python3)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data. It allows one to obtain
 the exact location of text portions in a page, as well as other information
 such as fonts or lines. It includes a PDF converter that can transform PDF
 files into other text formats (such as HTML). It has an extensible PDF parser
 that can be used for other purposes than text analysis.
 .
 This package provides the Python3 module and the command-line tools: pdf2txt,
 dumppdf and latin2ascii.

Package: pdfminer-data
Architecture: all
Depends: ${misc:Depends}
Recommends: python3-pdfminer
Breaks: python3-pdfminer (<< ${source:Version})
Description: PDF parser and analyser (encoding data)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data.
 .
 This package contains the encoding data needed to read some PDF documents in
 CJK (Chinese, Japanese, Korean) languages.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	mv debian/python3-pdfminer/$(py3_libdir)/pdfminer/cmap/*.pickle.gz \
 		$(debroot)/usr/share/pdfminer/
 
-	rename.ul .py '' debian/python3-pdfminer/usr/bin/*.py
+	rename 's/\.py$$//' debian/python3-pdfminer/usr/bin/*.py
 
 override_dh_installman:
 	$(MAKE) -C debian/manpages/

=== debian/tests/control ===
Tests: python3-pdfminer
Depends: python3-all, python3-nose, python3-pdfminer

## pdfminer 20220319+dfsg

=== debian/changelog ===
pdfminer (20220319+dfsg-1) unstable; urgency=medium

  * New upstream version 20220319+dfsg. (Closes: #968865)
  * Refresh patches.
  * debian/copyright
    - Update copyright years.
  * debian/control
    - Rework Breaks and Replaces.
    - Add python3-pil to Suggests.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 22 Mar 2022 03:54:10 +0100

pdfminer (20201018+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints. + pdfminer-data: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Daniele Tricoli ]
  * New upstream version 20201018.
  * Remove latin2ascii manpage since upstream removed the CLI utility.
  * debian/changelog
    - Wrap to not exceed 80 column.
  * debian/control
    - Remove python3-crypto from Recommends (Closes: #991937).
    - Add python3-cryptography to Depends.
    - Indent Build-Depends.
    - Bump Standards-Version to 4.6.0, no changes required
  * debian/copyright
    - Remove pdfminer/rijndael.py since the module is not included anymore.
    - Update copyright years.
  * debian/salsa-ci.yml
    - Use the recipe debian.yml instead of list explicitly salsa-ci.yml and
      pipeline-jobs.yml.

 -- Daniele Tricoli <eriol@debian.org>  Wed, 25 Aug 2021 19:41:20 +0200

=== debian/control ===
Source: pdfminer
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 python3-all,
 python3-chardet,
 python3-cryptography,
 python3-nose,
 python3-setuptools,
 python3-sortedcontainers,
 rename,
 xsltproc,
Standards-Version: 4.6.0
Homepage: https://github.com/pdfminer/pdfminer.six
Vcs-Git: https://salsa.debian.org/python-team/packages/pdfminer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdfminer

Package: python3-pdfminer
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-chardet,
 python3-cryptography,
Suggests:
 pdfminer-data (>= 20181108),
 python3-pil,
Description: PDF parser and analyser (Python3)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data. It allows one to obtain
 the exact location of text portions in a page, as well as other information
 such as fonts or lines. It includes a PDF converter that can transform PDF
 files into other text formats (such as HTML). It has an extensible PDF parser
 that can be used for other purposes than text analysis.
 .
 This package provides the Python3 module and the command-line tools: pdf2txt,
 dumppdf and latin2ascii.

Package: pdfminer-data
Architecture: all
Depends: ${misc:Depends}
Recommends: python3-pdfminer
Breaks: python3-pdfminer (<< 20181108)
Replaces: python3-pdfminer (<< 20181108)
Multi-Arch: foreign
Description: PDF parser and analyser (encoding data)
 PDFMiner is a tool for extracting information from PDF documents, which
 focuses entirely on getting and analyzing text data.
 .
 This package contains the encoding data needed to read some PDF documents in
 CJK (Chinese, Japanese, Korean) languages.

## pdfminer 20221105+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,36 +1,10 @@
 ##  Makefile (for maintenance purpose)
 ##
 
-PACKAGE=pdfminer
-
 PYTHON=python
-GIT=git
 RM=rm -f
 CP=cp -f
 MKDIR=mkdir
-
-all:
-
-install:
-	$(PYTHON) setup.py install --home=$(HOME)
-
-clean:
-	-$(PYTHON) setup.py clean
-	-$(RM) -r build dist MANIFEST
-	-cd $(PACKAGE) && $(MAKE) clean
-	-cd tools && $(MAKE) clean
-	-cd samples && $(MAKE) clean
-
-distclean: clean cmap_clean
-
-sdist: distclean MANIFEST.in
-	$(PYTHON) setup.py sdist
-register: distclean MANIFEST.in
-	$(PYTHON) setup.py sdist upload register
-
-WEBDIR=../euske.github.io/$(PACKAGE)
-publish:
-	$(CP) docs/*.html docs/*.png docs/*.css $(WEBDIR)
 
 CONV_CMAP=$(PYTHON) tools/conv_cmap.py
 CMAPSRC=cmaprsrc
@@ -53,6 +27,3 @@
 $(CMAPDST)/to-unicode-Adobe-Korea1.pickle.gz: $(CMAPDST)
 	$(CONV_CMAP) -c KSC-EUC=euc-kr -c KSC-Johab=johab -c KSCms-UHC=cp949 -c UniKS-UTF8=utf-8 \
 		$(CMAPDST) Adobe-Korea1 $(CMAPSRC)/cid2code_Adobe_Korea1.txt
-
-test: cmap
-	nosetests

=== debian/changelog ===
pdfminer (20221105+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix: arbitary code execution when loading pickle font files (CVE-2025-64512)
    (Closes: #1120642)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Nov 2025 22:53:52 +0100

pdfminer (20221105+dfsg-1) unstable; urgency=medium

  * New upstream version 20221105.
  * Refresh patches.
  * Use pytest instead of nose. (Closes: #1018435)
  * Resolve version from debian/changelog. (Closes: #1009182)
    Upstream uses a CI job to write version before publishing the package to
    PyPI and upstream changelog, unfortunately, doesn't list every release so
    we resolve the version from the debian/changelog. Thanks Julian Gilbey for
    the report.
  * debian/control
    - Switch from chardet to charset-normalizer.
    - Remove unused dependecy on sortedcontainers.
    - Bump Standards-Version to 4.6.2.0, no changes needed.

 -- Daniele Tricoli <eriol@debian.org>  Sat, 17 Dec 2022 17:51:39 +0100

pdfminer (20220319+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:53:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
  docbook-xsl,
  libxml2-utils,
  python3-all,
- python3-chardet,
+ python3-charset-normalizer,
  python3-cryptography,
- python3-nose,
+ python3-pytest,
  python3-setuptools,
- python3-sortedcontainers,
  rename,
  xsltproc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/pdfminer/pdfminer.six
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdfminer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pdfminer
@@ -29,10 +28,10 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-chardet,
+ python3-charset-normalizer,
  python3-cryptography,
 Suggests:
- pdfminer-data (>= 20181108),
+ pdfminer-data,
  python3-pil,
 Description: PDF parser and analyser (Python3)
  PDFMiner is a tool for extracting information from PDF documents, which
@@ -49,8 +48,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: python3-pdfminer
-Breaks: python3-pdfminer (<< 20181108)
-Replaces: python3-pdfminer (<< 20181108)
 Multi-Arch: foreign
 Description: PDF parser and analyser (encoding data)
  PDFMiner is a tool for extracting information from PDF documents, which

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=pdfminer
 export PYTHONWARNINGS=d
@@ -7,8 +9,16 @@
 debroot = debian/tmp/
 py3_libdir = usr/lib/python3/dist-packages
 
+# Upstream uses a CI job to write version before publishing the package to
+# PyPI and upstream changelog, unfortunately, doesn't list every release so we
+# resolve the version from the debian/changelog.
+VERSION = $(shell echo $(DEB_VERSION) | cut -d+ -f1)
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_before_dh_auto_configure execute_before_dh_auto_clean:
+	sed -i "s/__VERSION__/${VERSION}/g" pdfminer/__init__.py
 
 override_dh_auto_build:
 	$(MAKE) cmap

## pdfminer 20260107+dfsg

=== Makefile ===
##  Makefile (for maintenance purpose)

.PHONY: help
help:  ## Show this help message
	@echo "Usage: make [target]"
	@echo ""
	@echo "Available targets:"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "  %-20s %s\n", $$1, $$2}'

.PHONY: install
install:  ## Install all dependencies including dev dependencies using uv
	uv sync --all-groups --all-extras --no-install-project

.PHONY: format
format:  ## Format code with ruff
	uv run ruff format .

.PHONY: lint
lint:  ## Run ruff linter
	uv run ruff check .

.PHONY: lint-fix
lint-fix:  ## Run ruff linter and fix auto-fixable issues
	uv run ruff check --fix .

.PHONY: type-check
type-check:  ## Run mypy type checker
	uv run mypy --install-types --non-interactive --show-error-codes fuzzing pdfminer tools tests

.PHONY: test
test:  ## Run tests with pytest
	uv run pytest

.PHONY: check
check: install format lint-fix type-check test  ## Run all checks with auto-fixes (format, lint-fix, type-check, test)

.PHONY: docs
docs:  ## Build documentation
	uv run python -m sphinx -b html docs/source docs/build/html
	uv run python -m sphinx -b doctest docs/source docs/build/doctest

.PHONY: clean
clean:  ## Remove build artifacts, cache files, and temporary files
	rm -rf .venv/
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg-info
	rm -rf .pytest_cache/
	rm -rf .mypy_cache/
	rm -rf .ruff_cache/
	rm -rf htmlcov/
	rm -rf .coverage
	find . -type d -name __pycache__ -exec rm -rf {} +
	find . -type f -name '*.pyc' -delete
	find . -type f -name '*.pyo' -delete
	find . -type f -name '*~' -delete

.DEFAULT_GOAL := help

=== debian/changelog ===
pdfminer (20260107+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 20260107. (Closes: #1113990) (Also #1120642,
    CVE-2025-64512)
  * debian/control: Bump Standards-Version to 4.7.3; drop Priority: optional.
  * debian/tests/control: Add dependency to pdfminer-data since some tests
    requires the data files to be present.
  * debian/rules: Migrate to use pyproject.toml in package building.
  * debian/rules: Remove hardcoding of VERSION, prefer using importlib.metadata.
  * debian/rules: Update handling of cmap files.
  * debian/rules: Avoid calling pybuild tool directly.
  * debian/rules: Enable verbose build.
  * debian/watch: Update to version 5.
  * debian/patches/:
    - 0003-Fix-arbitary-code-execution: Dropped, merged upstream.
    - 0002-Avoid-timestamps-in-gzip-compressed-file-and-use-com.patch:
      Rewrite the reproducibility patch, which natually closes: #1082887.
    - debian/patches/0001: Dropped, now useless.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Jan 2026 21:00:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: pdfminer
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-charset-normalizer,
  python3-cryptography,
  python3-pytest,
  python3-setuptools,
+ python3-setuptools-scm,
  rename,
  xsltproc,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/pdfminer/pdfminer.six
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdfminer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pdfminer

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=pdfminer
export PYTHONWARNINGS=d
export PYBUILD_TEST_ARGS=pdfminer/*.py tests/test_pdfminer_*.py

debroot = debian/tmp/
cmap_dir = $(CURDIR)/pdfminer/cmap

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build: generate_cmap

execute_after_dh_auto_install:
	# Move cmap files outside dist-packages
	mkdir -p $(debroot)/usr/share/pdfminer/
	for cmap_install_dir in debian/python3-pdfminer/usr/lib/python3*/dist-packages/pdfminer/cmap; do \
	    mv -v $${cmap_install_dir}/*.json.gz $(debroot)/usr/share/pdfminer/; \
	done
	rename 's/\.py$$//' debian/python3-pdfminer/usr/bin/*.py

override_dh_installman:
	$(MAKE) -C debian/manpages/
	dh_installman

# Based on pdfminder/cmap/README.txt
# before https://github.com/pdfminer/pdfminer.six/issues/1240 is fixed
.PHONY: generate_cmap
generate_cmap:
	@echo "I: Regenerating cmap files ..."
	python3 tools/conv_cmap.py -c B5=cp950 -c UniCNS-UTF8=utf-8 $(cmap_dir) Adobe-CNS1 cmaprsrc/cid2code_Adobe_CNS1.txt
	python3 tools/conv_cmap.py -c GBK-EUC=cp936 -c UniGB-UTF8=utf-8 $(cmap_dir) Adobe-GB1 cmaprsrc/cid2code_Adobe_GB1.txt
	python3 tools/conv_cmap.py -c RKSJ=cp932 -c EUC=euc-jp -c UniJIS-UTF8=utf-8 $(cmap_dir) Adobe-Japan1 cmaprsrc/cid2code_Adobe_Japan1.txt
	python3 tools/conv_cmap.py -c KSC-EUC=euc-kr -c KSC-Johab=johab -c KSCms-UHC=cp949 -c UniKS-UTF8=utf-8 $(cmap_dir) Adobe-Korea1 cmaprsrc/cid2code_Adobe_Korea1.txt

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: python3-pdfminer
Depends: python3-all, python3-pytest, python3-pdfminer, pdfminer-data

=== debian/watch ===
Version: 5

Source: https://github.com/pdfminer/pdfminer.six/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Dversionmangle: s/\+dfsg\d*$//
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/pdfminer.six-$1\.tar\.gz/
